Name:           mediawiki119-RSS
Version:        2.16
Release:        3%{?dist}
Summary:        Displays one or more RSS feeds on a wiki page

License:        GPLv2
URL:            http://www.mediawiki.org/wiki/Extension:RSS
Source0:        http://upload.wikimedia.org/ext-dist/RSS-MW1.19-110218.tar.gz
BuildArch:      noarch

Requires:       mediawiki119

%description
The RSS extension displays one or more RSS feeds
on a wiki page in a standard or user-definable format.
Since version 2.00, the extension is also compatible
with wiki-page-generated feeds (RSS or ATOM).

%prep
%setup -q -n RSS
echo 'To complete installation of %{name}, add the following lines to LocalSettings.php:

    require_once("$IP/extensions/RSS/RSS.php");

for each MediaWiki instance you wish to install %{name} on.' > README.fedora

%build

%install
mkdir -p %{buildroot}%{_datadir}/mediawiki119/extensions/RSS/
install -cpm 644 %{_builddir}/%{buildsubdir}/* %{buildroot}%{_datadir}/mediawiki119/extensions/RSS/

%files
%doc README.fedora COPYING
%{_datadir}/mediawiki119/extensions/RSS

%changelog
* Mon Sep 10 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.16-3
- Remove EL5 parts

* Sun Sep 09 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.16-2
- Added %doc for COPYING and README.fedora

* Sun Sep 8 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.16-1
- First packaging effort
